Subject: Re: [PATCH net-next,V2] Add LAN9352 Ethernet Driver

From: Andrew Lunn <[email-masked]>
Date: Tue, 16 Feb 2016 21:36:25 +0100

On Tue, Feb 16, 2016 at 07:41:46PM +0000, [email-masked] wrote:
> Andrew,
> 
> At this point, I am not tasked with implementing switch features,
> which would likely take a long time to complete.

So this is the discussion we need to have.

The interface to the outside work is the two switch ports with real
PHYs. What you are implementing is an Ethernet driver for an internal
port connected to the switch. This port does not go to the outside
world. This driver provides no way to control the ports to the outside
world and you have no short term plan to actually implement control of
the ports connected to the outside world.

Should the Linux community accept this driver in this state?

I would prefer to see a simple switchdev or DSA driver which exposes
the two external ports.

    Andrew